> For the complete documentation index, see [llms.txt](https://docs.leanx.io/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.leanx.io/api-docs/cloud-payment/transaction-list.md).

# Transaction List

At the core of our payment gateway, the Transaction List Endpoint provides users with a seamless avenue to retrieve comprehensive transaction records. Integrate effortlessly to analyze transaction data, enhancing financial visibility and reporting capabilities.

## Authentication

LeanX uses **Auth Token** to authenticate in each request's header.

{% hint style="info" %}
**Auth Token** can be retrieved in your portal dashboard under **API** page.
{% endhint %}

**Request Header**

{% code overflow="wrap" %}

```json
{
    "auth-token": "LP-0D7C06DE-MM|7394e58e-edee-4c42-9ca5-bcbc449f1b9f|2141df4a3cb633d5ce8683bb0c55067e5caebfbe07390dde277dc455bcc95c91723a81b5e565c7c02d68fb84e396722563016bf99e576a4b8cdbe4423fbf226b"
}
```

{% endcode %}

## Getting the transaction list&#x20;

HTTP Method: <mark style="color:green;">GET</mark>

```
https://api.leanx.dev/api/v1/merchant/transaction-list
```

**Request Query**

```
?skip=0&limit=10&start_date=01-01-1970&end_date=31-01-2099
```

{% hint style="info" %}
Please double-check and ensure that the selected date range is accurate for your query. This ensures you receive the precise information you need.&#x20;
{% endhint %}

#### Attribute

<table><thead><tr><th width="177">Property</th><th>Description</th></tr></thead><tbody><tr><td>skip</td><td>Skips a specified number of rows</td></tr><tr><td>limit</td><td>Limits the results to the number of rows</td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>Start date of the transaction list. Kindly follow this format <code>DD-MM-YYYY</code></td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>End date of the transaction list. Kindly follow this format <code>DD-MM-YYYY</code></td></tr><tr><td>invoice_status<mark style="color:red;">*</mark></td><td>Get list of transaction with invoice status<br><code>SUCCESS</code> or <code>PENDING</code></td></tr></tbody></table>

#### Request Body

```json
no request body
```

#### Response

```json
{
  "response_code": 2000,
  "description": "SUCCESS",
  "app_version": "/api/v1",
  "talk_to_server_before": "2023-02-01T16:30:37.250585",
  "data": {
    "total-date-sale": 545,
    "total-date-count": 2,
    "transaction": [
      {
        "Invoice No": "BP-827E01E439-LNP",
        "Invoice Status": "SUCCESS",
        "Name": "Sophea",
        "Email": "sophea@gmail.com",
        "Phone Number": "0136598465",
        "Transaction Invoice No": "FPX1674124350nnGPXTwY",
        "Payment Mode": "WEB_PAYMENT",
        "Amount": 338.00,
        "Payment Date": "2023-01-19T18:32:40"
      },
      .......
      {
        "Invoice No": "BP-AF423CCB51-LNP",
        "Invoice Status": "SUCCESS",
        "Name": "Wardina",
        "Email": "wardina@gmail.com",
        "Phone Number": "0156939874",
        "Transaction Invoice No": "LP1675136138rJuRMukD",
        "Payment Mode": "WEB_PAYMENT",
        "Amount": 207.00,
        "Payment Date": "2023-01-31T11:35:51"
      }
    ]
  },
  "breakdown_errors": "",
  "token": ""
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.leanx.io/api-docs/cloud-payment/transaction-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
